/*-------------------------------------------------------------------
 *
 *  @file blt.c
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  (c) Collin R. Mulliner
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

/*
 * This file is part of blt_server
 *
 * blt_server is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * blt_server is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with blt_server; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#ifndef __BLT_H__
#define __BLT_H__

/**
 *  @brief max length of a blt device name
 */
#define BLT_DEVICE_NAME_LENGTH 255

struct blt_device_t {
	unsigned char bdAddr[6];
	char name[BLT_DEVICE_NAME_LENGTH+1];
	unsigned int devClass;
};

struct blt_device_status_t {
	struct blt_device_t dev;
	unsigned int rssi;
	time_t tStamp;
	unsigned int lg;
	unsigned int la;
};

#endif
